Support

XEagle
XEagle
APP Download
Android
flyprocam-android
Version:
V1.1.3
System requirements:
Android4.0 or more advanced version (not compatible with Android 6.0),compatible with all Android cellphones but not compatible with Android pad.
Download and install:
1.Scan two-dimension code to download ,but not Wechat two-dimension code software.
2.Click "Local Download" ,download and install it to cellphone.
Local Download
appdownload
IOS
flyprocam-ios
Version:
V1.0.1
System requirements:
IOS7.1 or more advanced version,compatible with iPhone5s、iPhone6、iPhone6 plus、iPhone6s、iPhone6s plus
Download and install:
Scan two-dimension code and login Apple Store,download and install it.
How to Update Firmware of FLYPRO Camera?
Materials required:
Card Reader, MicroSD Card, FLYPRO Camera, Camera Firmware Update Files (i.e. LDxxxxxx.bin and FWxxxxxx.bin files)
Procedure:
  1. Connect the microSD card to the computer via a card reader and format the card (ensure to back up the contents of the card before formatting).
  2. After formating,Copy the LDxxxxxx.bin file to the microSD card.
  3. Turn on the camera once the card is inserted. The camera will display a blank screen, indicating that the camera is being updated. Once the update is completed, the screen will light up.
  4. after step3 , Turn off the camera and remove the microSD card. Insert the microSD card into the computer via a card reader and delete the LDxxxxxx.bin file, then copy the FWxxxxxxx.bin file on to the card.
  5. .Insert the microSD card with FWxxxxxx.bin file into the camera and open the camera. the camera will auo renew until the display turn on . turn off the camera , take of the TF card .
  6. Delete all file in TF card ,and put the TF card back to camera . At this time , the camera device upgrade finished.
Download:
Declaimer & Warning
XEagle Declaimer and Warning.pdf
Instructions Manual
Instrctions Manual of XEagle Sport.pdf
XEagle Sport Main Parts List and Accessories.pdf
PX400 APP Download
Android
px400-android
Version:
V1.0.4
System requirements:
Android4.0 or above (not compatible with Android 6.0), need google services.
Product requirements:
Only support the drone PX400. Support Auto-follow, One button to get started, Tap to fly, Routes flights, Flight parameters display, etc.
Download and install:
1.Download and install google services first.
2.After installing google services, scan two-dimension code to download or click "Local Download".
Local Download
Google services    px400appdownload